### Hierarchy

- Fixed64

## Index

### Constructors

- constructor

### Properties

- value

### Methods

- serialize
- deserialize

## Constructors

### constructor

- new Fixed64(value?: undefined | string): Fixed64

- - Defined in common/fixed64.ts:37

  #### Parameters

  - ##### Optional value: undefined | string

  #### Returns Fixed64

## Properties

### value

value: string

- Defined in common/fixed64.ts:37

## Methods

### serialize

- serialize(): string

- - Defined in common/fixed64.ts:45

  #### Returns string

### Static deserialize

- deserialize(sr: StringReader): Fixed64

- - Defined in common/fixed64.ts:24

  #### Parameters

  - ##### sr: StringReader

  #### Returns Fixed64

Generated using TypeDoc